Package it.polito.appeal.traci

## Class TraCIException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - it.polito.appeal.traci.TraCIException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `TraCIException.UnexpectedData`

      public class TraCIException
      extends IOException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TraCIException.UnexpectedData` |
    `static class` | `TraCIException.UnexpectedDatatype` |
    `static class` | `TraCIException.UnexpectedResponse` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TraCIException()` |
    `TraCIException​(String msg)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TraCIException

          public TraCIException()

    - #### TraCIException

          public TraCIException​(String msg)